> 커뮤니티 > 프로그램질문
프로그램질문

인테리어 관련 프로그램(캐드, 맥스, 포토샵, 래빗)에 관한 질문을 올리고 답변이나 도움을 받을 수 있는 게시판입니다. 

같은 원점을 가지는 원을 모두 선택하고 싶습니다.

1 대포호 2 34 0 0

(defun c:test ()
(setq ssc (entget (car (entsel "\n\t>> 기준 원 선택 :"))))
(setq layn (cdr (assoc 8 ssc)))
(setq srad (cdr (assoc 40 ssc)))
(setq ss2 (ssget (list (cons 0 "arc,circle") (cons 8 layn) (cons 40 srad))))
(setq rad (cdr (assoc 40 (entget (car (entsel "\n>>> 원 선택"))))))
(setq n 0)
(setq newss (ssadd))
 (repeat
 (sslength ss2)
        (setq cc (cdr (assoc 10 (entget (ssname ss2 n)))))
 (setq o (ssget "X" (list (cons 0 "circle") (cons 10 cc) (cons 40 rad))))
 (ssadd o newss)
 (setq n (1+ n))
 )
(sssetfirst nil newss)
(princ)
);defun

---------------------

오류: 잘못된 인수 유형: lentityp <Selection set: c3a>

---------------------

기준이 되는 원을 선택하고

선택되어진 원들과 같은 기준점을 가지는 원( 특정 반지름을 가지는)들을

모두 선택하고 싶습니다.

 

여기저기서 짜집기해보았지만 실행되지 않네요ㅜ

 

 

 

 

해결 방법 아신다면 좀 알려주시면 감사하겠습니다.

2 Comments
1 38rkskekfk 06.11 14:42  
(ssadd o newss)  ;; 이구문이 잘못되었네요

o 자리에 entity name 이 와야 합니다.

이부분도 수량만큼 repeat 를 돌려야겠네요
(defun c:test ( / s el i s1 s2 s3 ent l)
제목
Category
State
  • 현재 접속자 33 명
  • 오늘 방문자 492 명
  • 어제 방문자 1,688 명
  • 최대 방문자 3,310 명
  • 전체 방문자 1,154,518 명
  • 전체 게시물 88,739 개
  • 전체 댓글수 11,913 개
  • 전체 회원수 20,771 명
Facebook Twitter GooglePlus KakaoStory NaverBand